test:
	test -f go.crud/Dockerfile
	test -f docker-compose.yml

compose-start:
	docker-compose up --abort-on-container-exit --build

compose-setup: compose-down compose-build

compose-build:
	docker-compose build

compose-down:
	docker-compose down || true

compose-stop:
	docker-compose stop || true

compose-restart:
	docker-compose restart

compose-bash:
	docker-compose application run bash

compose-clean:
	docker-compose down --rmi all